import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToGodexSensorType Converter")

class GenericToGodexSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "Auto"
		elif myList[0] == "Gap":
			res = "See-Through"
		elif myList[0] == "Mark":
			res = "Reflective"
		return res




plugin = GenericToGodexSensorType("GenericToGodexSensorType")

store.AddConverter(plugin)